gnutls_system_key_add_x509(3)

NAME
gnutls_system_key_add_x509 - API function

SYNOPSIS
#include <gnutls/system-keys.h>

int gnutls_system_key_add_x509(gnutls_x509_crt_t crt, gnutls_x509_privkey_t privkey, const char * label, char ** cert_url, char ** key_url);

ARGUMENTS

gnutls_x509_crt_t crt
    the certificate to be added

gnutls_x509_privkey_t privkey
    the key to be added

const char * label
    the friendly name to describe the key

char ** cert_url
    if non-NULL it will contain an allocated value with the certificate URL

char ** key_url
    if non-NULL it will contain an allocated value with the key URL

DESCRIPTION
This function will added the given key and certificate pair, to the system list.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/